## clitest 0.4.0

=== Makefile ===
# Developer workflow: run locally the same commands Travis will run in
# the CI. See the .travis.yml file for the list of commands.
#
# By default, the linting and testing targets are run inside the
# clitest-dev Docker container. To run them directly on the host,
# avoiding the container, unset the `docker_run` variable. Examples:
#
#    make test-bash                # test using container's bash
#    make test-bash docker_run=    # test using host's bash

docker_image = clitest-dev
docker_run = docker run --rm -it -v $$PWD:/mnt $(docker_image)
test_cmd = ./clitest --first --progress none test.md

default:
	@echo "Read the comments in the Makefile for help"

fmt:
	$(docker_run) shfmt -w -i 4 -ci -kp -sr clitest

lint:
	$(docker_run) shfmt -d -i 4 -ci -kp -sr clitest
	$(docker_run) checkbashisms --posix clitest
	$(docker_run) shellcheck clitest

test: test-bash test-dash test-mksh test-sh test-zsh
test-%:
	$(docker_run) $* $(test_cmd)

versions:
	@$(docker_run) sh -c 'apk list 2>/dev/null | cut -d " " -f 1 | sort'

docker-build:
	docker build -t $(docker_image) -f Dockerfile.dev .

docker-run:
	$(docker_run) $(cmd)

## clitest 0.0+git20150312.339b52

=== debian/changelog ===
clitest (0.0+git20150312.339b52-1) unstable; urgency=low

  * Initial release (Closes: #803426)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 29 Oct 2015 21:52:02 -0200

=== debian/control ===
Source: clitest
Section: misc
Priority: optional
Maintainer: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/aureliojargas/clitest

Package: clitest
Architecture: all
Depends: ${misc:Depends}
Description: performs automatic testing in command lines
 Clitest is a portable POSIX shell script that performs automatic
 testing in Unix command lines. This script was carefully coded to
 be portable between POSIX shells.
 .
 It's the same concept as in Python's doctest module: you document
 both the commands and their expected output, using the familiar
 interactive prompt format, and a specialized tool tests them.
 .
 The clitest command searches for pieces of text that look like
 interactive Unix command lines, and then executes those command
 lines to verify that they work exactly as shown.

## clitest 0.2.0

=== debian/changelog ===
clitest (0.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 14 Apr 2016 21:56:02 -0300

clitest (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
      - Added the Vcs-* fields to control the Debian packaging.
      - Bumped Standards-Version to 3.9.7.
  * debian/watch: Updated to upstream repository.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 02 Apr 2016 10:46:21 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Giovani Augusto Ferreira <giovani@riseup.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/aureliojargas/clitest
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/clitest.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/clitest.git
 
 Package: clitest
 Architecture: all

=== debian/watch ===
version=4
https://github.com/aureliojargas/clitest/releases .*/v?(\d\S*)\.tar\.gz

## clitest 0.3.0

=== debian/changelog ===
clitest (0.3.0-3) unstable; urgency=medium

  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.
  * Bump Standards-Version to 4.5.0; no changes required
  * smoke-test: make output more explicit
  * Adopt package (Closes: #880806)
  * Bump debhelper compatibility level to 13
  * Slightly improve short package description

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Jun 2020 10:40:40 -0300

clitest (0.3.0-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #880806)
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
  * debian/copyright:
      - Updated my email address.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 06 Nov 2017 23:14:26 -0200

clitest (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update DH level to 10.
  * debian/watch: improved the tracking rules.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 06 Nov 2016 19:20:17 -0200

clitest (0.2.0-2) unstable; urgency=medium

  * Added a simple test suite. Thanks to Antonio Terceiro
      for patch. (Closes: #826650)
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * debian/copyright:
      - Renamed MIT to Expat license.
      - Updated packaging copyright years.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Wed, 15 Jun 2016 18:17:46 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: clitest
 Section: misc
 Priority: optional
-Maintainer: Giovani Augusto Ferreira <giovani@riseup.net>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Maintainer: Antonio Terceiro <terceiro@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: https://github.com/aureliojargas/clitest
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/clitest.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/clitest.git
+Vcs-Browser: https://salsa.debian.org/debian/clitest
+Vcs-Git: https://salsa.debian.org/debian/clitest.git
 
 Package: clitest
 Architecture: all
 Depends: ${misc:Depends}
-Description: performs automatic testing in command lines
+Description: portable testing tool for Unix command lines
  Clitest is a portable POSIX shell script that performs automatic
  testing in Unix command lines. This script was carefully coded to
  be portable between POSIX shells.

## clitest 0.4.0

=== debian/changelog ===
clitest (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Bump Standards-Version to 4.5.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 06 Feb 2021 11:48:20 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/aureliojargas/clitest
 Vcs-Browser: https://salsa.debian.org/debian/clitest
 Vcs-Git: https://salsa.debian.org/debian/clitest.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:
	PATH=$(CURDIR):$(PATH) debian/tests/smoke-tests

=== debian/tests/control ===
Tests: smoke-tests

=== debian/watch ===
version=4
https://github.com/aureliojargas/clitest/releases .*/v?(\d\S*)\.tar\.(?:bz2|gz|xz)

## clitest 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Developer workflow: run locally the same commands Travis will run in
-# the CI. See the .travis.yml file for the list of commands.
+# Developer workflow: run locally the same commands the CI will run.
+# See the .github/workflows/check.yml file for the list of commands.
 #
 # By default, the linting and testing targets are run inside the
 # clitest-dev Docker container. To run them directly on the host,
@@ -9,7 +9,7 @@
 #    make test-bash docker_run=    # test using host's bash
 
 docker_image = clitest-dev
-docker_run = docker run --rm -it -v $$PWD:/mnt $(docker_image)
+docker_run = docker run --rm -t -v $$PWD:/mnt $(docker_image)
 test_cmd = ./clitest --first --progress none test.md
 
 default:

=== debian/changelog ===
clitest (0.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + clitest: Add Multi-Arch: foreign.

  [ Antonio Terceiro ]
  * debian/watch: fix based on first example in the uscan manpage
  * New upstream version 0.5.0
  * Bump Standards-Version to 4.7.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 26 Feb 2025 15:55:46 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.1
 Homepage: https://github.com/aureliojargas/clitest
 Vcs-Browser: https://salsa.debian.org/debian/clitest
 Vcs-Git: https://salsa.debian.org/debian/clitest.git
@@ -11,6 +11,7 @@
 Package: clitest
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: portable testing tool for Unix command lines
  Clitest is a portable POSIX shell script that performs automatic
  testing in Unix command lines. This script was carefully coded to

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/aureliojargas/clitest/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
